"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTTL = exports.getTimeCounter = void 0;
const CONSTANTS = {
    TIME_STEP: 30,
    STARTED_AT: 0,
};
function getTimeCounter(timeStep = CONSTANTS.TIME_STEP, startedAt = CONSTANTS.STARTED_AT, nowSeconds = Date.now()) {
    return Math.floor((nowSeconds / 1000 - startedAt) / timeStep);
}
exports.getTimeCounter = getTimeCounter;
function getTTL(timeStep = CONSTANTS.TIME_STEP, startedAt = CONSTANTS.STARTED_AT) {
    const now = Date.now();
    return timeStep - Math.floor(now / 1000 - startedAt) % timeStep;
}
exports.getTTL = getTTL;
